## org.eclipse.jst.pagedesigner.dtmanager.converter
Class AbstractTagConverterContext

    java.lang.Object
      org.eclipse.jst.pagedesigner.dtmanager.converter.AbstractTagConverterContext

All Implemented Interfaces:
  ITagConverterContext

    public abstract class AbstractTagConverterContext

extends java.lang.Object
implements ITagConverterContext

Abstract ITagConverter implementation of ITagConverterContext.

Provisional API - subject to change

Constructor Summary
`AbstractTagConverterContext(ITagConverter tagConverter)` Instantiates an instance for the specified ITagConverter instance.

Method Summary
`abstract void` `addChild(org.w3c.dom.Node childNode, ConvertPosition position)` Adds a child Node instance to ITagConverter's collection of Nodes requiring subsequent processing.
`abstract void` `copyChildren(org.w3c.dom.Element srcElement, org.w3c.dom.Element destElement)` Add all child Element instances of srcElement to ITagConverter's collection of Nodes requiring subsequent processing.
`abstract org.w3c.dom.Element` `createElement(java.lang.String tag)` Creates an Element instance to be used in ITagConverter's Document instance.
`abstract org.w3c.dom.Text` `createText(java.lang.String content)` Creates a Text node instance to be used in ITagConverter's Document instance.
`org.w3c.dom.Element` `getHostElement()` Gets ITagConverter instance's host Element instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTagConverterContext

    public AbstractTagConverterContext(ITagConverter tagConverter)

  Instantiates an instance for the specified ITagConverter instance.

  Parameters:
    `tagConverter` - ITagConverter instance.

Method Detail

### addChild

    public abstract void addChild(org.w3c.dom.Node childNode,
                                  ConvertPosition position)

  Description copied from interface: `ITagConverterContext`
  Adds a child Node instance to ITagConverter's collection of Nodes requiring subsequent processing.

  Specified by:
    `addChild` in interface `ITagConverterContext`
  Parameters:
    `childNode` - Child Node instance requiring subsequent processing.
    `position` - ConvertPosition instance describing child Node instance's position, relative to another Node instance.

### copyChildren

    public abstract void copyChildren(org.w3c.dom.Element srcElement,
                                      org.w3c.dom.Element destElement)

  Description copied from interface: `ITagConverterContext`
  Add all child Element instances of srcElement to ITagConverter's collection of Nodes requiring subsequent processing.

  Specified by:
    `copyChildren` in interface `ITagConverterContext`
  Parameters:
    `srcElement` - Source Element instance from which child Elements are copied.
    `destElement` - Destination Element instance to which child Elements will be relative.

### createElement

    public abstract org.w3c.dom.Element createElement(java.lang.String tag)

  Description copied from interface: `ITagConverterContext`
  Creates an Element instance to be used in ITagConverter's Document instance.

  Specified by:
    `createElement` in interface `ITagConverterContext`
  Parameters:
    `tag` - Name of element to be created.
  Returns:
    Element instance to be used in ITagConverter's Document instance.

### createText

    public abstract org.w3c.dom.Text createText(java.lang.String content)

  Description copied from interface: `ITagConverterContext`
  Creates a Text node instance to be used in ITagConverter's Document instance.

  Specified by:
    `createText` in interface `ITagConverterContext`
  Parameters:
    `content` - Textual content of the created text node.
  Returns:
    Text node instance to be used in ITagConverter's Document instance.

### getHostElement

    public org.w3c.dom.Element getHostElement()

  Description copied from interface: `ITagConverterContext`
  Gets ITagConverter instance's host Element instance.

  Specified by:
    `getHostElement` in interface `ITagConverterContext`
  Returns:
    ITagConverter instance's host Element instance.